apiVersion: machine.openshift.io/v1beta1
kind: Machine
metadata:
  generateName: ci-ln-cgnxcq2-72292-k47l8-winworker-a-
  annotations:
    machine.openshift.io/instance-state: RUNNING
  resourceVersion: '56683'
  name: ci-ln-cgnxcq2-72292-k47l8-winworker-a-4gts9
  uid: 271b269f-192a-4704-8dce-fdf74153a0ed
  creationTimestamp: '2025-08-19T15:18:23Z'
  generation: 2
  managedFields:
    - apiVersion: machine.openshift.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:machine.openshift.io/cluster-api-cluster': {}
            'f:machine.openshift.io/cluster-api-machine-role': {}
            'f:machine.openshift.io/cluster-api-machine-type': {}
            'f:machine.openshift.io/cluster-api-machineset': {}
            'f:machine.openshift.io/os-id': {}
            'f:windowsmachineconfig.openshift.io/ignore': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"d03a5e67-a0c1-42c5-b6e0-34e172dfe329"}': {}
        'f:spec':
          .: {}
          'f:lifecycleHooks': {}
          'f:metadata':
            .: {}
            'f:labels':
              .: {}
              'f:node-role.kubernetes.io/worker': {}
          'f:providerSpec':
            .: {}
            'f:value':
              'f:zone': {}
              'f:projectID': {}
              'f:canIPForward': {}
              'f:disks': {}
              'f:metadata':
                .: {}
                'f:creationTimestamp': {}
              'f:serviceAccounts': {}
              'f:region': {}
              'f:kind': {}
              'f:tags': {}
              'f:machineType': {}
              .: {}
              'f:apiVersion': {}
              'f:shieldedInstanceConfig': {}
              'f:networkInterfaces': {}
              'f:credentialsSecret':
                .: {}
                'f:name': {}
              'f:userDataSecret':
                .: {}
                'f:name': {}
              'f:deletionProtection': {}
      manager: machineset-controller
      operation: Update
      time: '2025-08-19T15:18:23Z'
    - apiVersion: machine.openshift.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:machine.openshift.io/instance-state': {}
          'f:finalizers':
            .: {}
            'v:"machine.machine.openshift.io"': {}
          'f:labels':
            'f:machine.openshift.io/instance-type': {}
            'f:machine.openshift.io/region': {}
            'f:machine.openshift.io/zone': {}
        'f:spec':
          'f:providerID': {}
      manager: machine-controller-manager
      operation: Update
      time: '2025-08-19T15:18:45Z'
    - apiVersion: machine.openshift.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:addresses': {}
          'f:conditions':
            .: {}
            'k:{"type":"Drainable"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"InstanceExists"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Terminable"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
          'f:phase': {}
          'f:providerStatus':
            .: {}
            'f:conditions': {}
            'f:instanceId': {}
            'f:instanceState': {}
            'f:metadata': {}
      manager: machine-controller-manager
      operation: Update
      subresource: status
      time: '2025-08-19T15:25:14Z'
    - apiVersion: machine.openshift.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:lastUpdated': {}
          'f:nodeRef': {}
      manager: nodelink-controller
      operation: Update
      subresource: status
      time: '2025-08-19T15:26:16Z'
  namespace: openshift-machine-api
  ownerReferences:
    - apiVersion: machine.openshift.io/v1beta1
      blockOwnerDeletion: true
      controller: true
      kind: MachineSet
      name: ci-ln-cgnxcq2-72292-k47l8-winworker-a
      uid: d03a5e67-a0c1-42c5-b6e0-34e172dfe329
  finalizers:
    - machine.machine.openshift.io
  labels:
    machine.openshift.io/region: us-central1
    machine.openshift.io/instance-type: n1-standard-4
    machine.openshift.io/cluster-api-cluster: ci-ln-cgnxcq2-72292-k47l8
    machine.openshift.io/cluster-api-machineset: ci-ln-cgnxcq2-72292-k47l8-winworker-a
    machine.openshift.io/cluster-api-machine-role: worker
    machine.openshift.io/cluster-api-machine-type: worker
    machine.openshift.io/os-id: Windows
    machine.openshift.io/zone: us-central1-a
    windowsmachineconfig.openshift.io/ignore: 'false'
spec:
  lifecycleHooks: {}
  metadata:
    labels:
      node-role.kubernetes.io/worker: ''
  providerID: 'gce://openshift-gce-devel-ci-2/us-central1-a/ci-ln-cgnxcq2-72292-k47l8-winworker-a-4gts9'
  providerSpec:
    value:
      machineType: n1-standard-4
      userDataSecret:
        name: windows-user-data
      deletionProtection: false
      networkInterfaces:
        - network: ci-ln-cgnxcq2-72292-k47l8-network
          subnetwork: ci-ln-cgnxcq2-72292-k47l8-worker-subnet
      credentialsSecret:
        name: gcp-cloud-credentials
      zone: us-central1-a
      canIPForward: false
      metadata:
        creationTimestamp: null
      projectID: openshift-gce-devel-ci-2
      region: us-central1
      kind: GCPMachineProviderSpec
      disks:
        - autoDelete: true
          boot: true
          image: projects/windows-cloud/global/images/family/windows-2022-core
          labels: null
          sizeGb: 128
          type: pd-ssd
      tags:
        - ci-ln-cgnxcq2-72292-k47l8-worker
      serviceAccounts:
        - email: ci-ln-cgnxcq2-72292-k47l8-w@openshift-gce-devel-ci-2.iam.gserviceaccount.com
          scopes:
            - 'https://www.googleapis.com/auth/cloud-platform'
      apiVersion: machine.openshift.io/v1beta1
      shieldedInstanceConfig: {}
status:
  addresses:
    - address: 10.0.128.5
      type: InternalIP
    - address: ci-ln-cgnxcq2-72292-k47l8-winworker-a-4gts9.us-central1-a.c.openshift-gce-devel-ci-2.internal
      type: InternalDNS
    - address: ci-ln-cgnxcq2-72292-k47l8-winworker-a-4gts9.c.openshift-gce-devel-ci-2.internal
      type: InternalDNS
    - address: ci-ln-cgnxcq2-72292-k47l8-winworker-a-4gts9
      type: InternalDNS
  conditions:
    - lastTransitionTime: '2025-08-19T15:18:23Z'
      status: 'True'
      type: Drainable
    - lastTransitionTime: '2025-08-19T15:18:45Z'
      status: 'True'
      type: InstanceExists
    - lastTransitionTime: '2025-08-19T15:18:23Z'
      status: 'True'
      type: Terminable
  lastUpdated: '2025-08-19T15:26:16Z'
  nodeRef:
    kind: Node
    name: ci-ln-cgnxcq2-72292-k47l8-winworker-a-4gts9
    uid: ea61d0c9-73aa-47be-9791-c0d0174c03b8
  phase: Running
  providerStatus:
    conditions:
      - lastTransitionTime: '2025-08-19T15:18:25Z'
        message: machine successfully created
        reason: MachineCreationSucceeded
        status: 'True'
        type: MachineCreated
    instanceId: ci-ln-cgnxcq2-72292-k47l8-winworker-a-4gts9
    instanceState: RUNNING
    metadata: {}
